import React, { Component } from "react";

import Header from "../Header.js";
import TopMenu from "../TopMenu.js";
import MainArea from "../MainArea.js";
import StopTitle from "../StopTitle.js";
import TrafficList from "../TrafficList.js";

import Stop from "../../classes/Stop.js";
import Departure from "../../classes/Departure.js";


class TrafficInfo extends Component {
    render() {
        let testStop = new Stop(
            "Lemmingsgatan",
            ["Läge A", "Läge B", "Läge C"],
            [
                new Departure(
                    "519",
                    "Mot Heden",
                    "11:59",
                    "Trafikolycka vid Partille Centrum."
                ),
                new Departure("58", "Mot Västra Eriksberg", "12:07"),
            ]
        );

        return (
            <>
                <Header title="Trafikinfo" />
                <TopMenu>
                    <StopTitle stop={testStop} />
                </TopMenu>
                <MainArea>
                    <TrafficList departures={testStop.departures} />
                </MainArea>
            </>
        );
    }
}

export default TrafficInfo;
